CvsTagEntry (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.cvslib, class: CvsTagEntry

Package org.apache.tools.ant.taskdefs.cvslib

# Class CvsTagEntry

java.lang.Object
org.apache.tools.ant.taskdefs.cvslib.CvsTagEntry

public class CvsTagEntry extends Object
Holds the information of a line of rdiff

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CvsTagEntry​(String filename)`
  Creates a new CvsTagEntry
  `CvsTagEntry​(String filename, String revision)`
  Creates a new CvsTagEntry
  `CvsTagEntry​(String filename, String revision, String prevRevision)`
  Creates a new CvsTagEntry

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFile()`
  Gets the filename for this CvsTagEntry
  `String`
  `getPreviousRevision()`
  Gets the previous revision for this CvsTagEntry
  `String`
  `getRevision()`
  Gets the revision for this CvsTagEntry
  `String`
  `toString()`
  Gets a String containing filename and difference from previous version

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CvsTagEntry

    public CvsTagEntry​(String filename)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add

  - ### CvsTagEntry

    public CvsTagEntry​(String filename, String revision)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add
      `revision` - the revision

  - ### CvsTagEntry

    public CvsTagEntry​(String filename, String revision, String prevRevision)
    Creates a new CvsTagEntry
    Parameters:
      `filename` - the filename to add
      `revision` - the revision
      `prevRevision` - the previous revision

- ## Method Details

  - ### getFile

    public String getFile()
    Gets the filename for this CvsTagEntry
    Returns:
      the filename

  - ### getRevision

    public String getRevision()
    Gets the revision for this CvsTagEntry
    Returns:
      the revision

  - ### getPreviousRevision

    public String getPreviousRevision()
    Gets the previous revision for this CvsTagEntry
    Returns:
      the previous revision

  - ### toString

    public String toString()
    Gets a String containing filename and difference from previous version
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this CVSTagEntry